SDL_GetJoystickGUID(3)

NAME
SDL_GetJoystickGUID - Get the implementation-dependent GUID for the joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickGUID SDL_GetJoystickGUID(SDL_Joystick *joystick);

DESCRIPTION
This function requires an open joystick.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ()

RETURN VALUE
Returns the GUID of the given joystick. If called on an invalid index, this function returns a zero GUID; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetJoystickInstanceGUID(3), SDL_GetJoystickGUIDString(3)